:root {
  --black: #191919;
  --whitev2: #ccd6f6;
  --transition: 0.3s ease-in-out;
  --green: #60992d;
  --border-radius: 10px;
  --bg-color: #1d1d1d;
  --bg-color2: #191919;
  --bg-card: #312f2f;
  --scale-hover: scale(1.1);
  --text-danger: #dc3545;
  --bg-form: #2a2b38;
  --hover-bg: #66a52d;
}

main > .container {
  margin: 0;
  transition: 0.5ease;
  padding: 0;
  max-width: unset;
}
main {
  width: 100%;
  margin: 0;
  padding: 0;
}

.not-set {
  color: #c55;
  font-style: italic;
}

/* add sorting icons to gridview sort links */
a.asc:after,
a.desc:after {
  content: "";
  left: 3px;
  display: inline-block;
  width: 0;
  height: 0;
  border: solid 5px transparent;
  margin: 4px 4px 2px 4px;
  background: transparent;
}

a.asc:after {
  border-bottom: solid 7px #212529;
  border-top-width: 0;
}

a.desc:after {
  border-top: solid 7px #212529;
  border-bottom-width: 0;
}

.grid-view th {
  white-space: nowrap;
}

.hint-block {
  display: block;
  margin-top: 5px;
  color: #999;
}

.error-summary {
  color: #a94442;
  background: #fdf7f7;
  border-left: 3px solid #eed3d7;
  padding: 10px 20px;
  margin: 0 0 15px 0;
}

/* align the logout "link" (button in form) of the navbar */
.nav li > form > button.logout {
  padding-top: 7px;
  color: rgba(255, 255, 255, 0.5);
}

@media (max-width: 767px) {
  .nav li > form > button.logout {
    display: block;
    text-align: left;
    width: 100%;
    padding: 10px 0;
  }
}

.nav > li > form > button.logout:focus,
.nav > li > form > button.logout:hover {
  text-decoration: none;
  color: rgba(255, 255, 255, 0.75);
}

.nav > li > form > button.logout:focus {
  outline: none;
}
/* Cambia el estilo del hover en el enlace del menú */
.navbar-nav .nav-item:hover > .nav-link {
  color: var(--green) !important; /* Color del texto al pasar el ratón */
}

/*------------------------------------------------Menú desplegable-------------------------------------------------------------------*/
/* Cambia el estilo del hover en los elementos del menú desplegable */
.navbar-nav .nav-item.dropdown:hover .dropdown-menu a:hover {
  background-color: #f5d5ed; /* Color de fondo al pasar el ratón */
  color: #60992d; /* Color del texto al pasar el ratón */
}

/*------------------------------------------------Fin Menú Desplegable-------------------------------------------------------------------*/
/*------------------------------------------------Footer-------------------------------------------------------------------*/
/* Estilos del footer */
.footer {
  text-align: center;
  padding: 10px 0; /* Aumenta el espacio interno del footer */
}

.footer hr {
  /* border-color: #92d243; /* Color de la línea horizontal rosa*/
  border-color: #f5d5ed; /* Color de la línea horizontal rosa*/
}
/* Agrega una línea verde debajo del texto "Desarrollado por BelialLSST" */
.footer p.float-right {
  position: relative;
}

.footer p.float-right::after {
  content: "";
  display: block;
  width: 70px; /* Ancho de la línea al 100% del contenedor padre */
  height: 2px; /* Grosor de la línea, ajusta según sea necesario */
  background-color: #f5d5ed; /* Color de la línea */
  position: absolute;
  bottom: 0;
  right: 0;
}
/* Estilo para los enlaces dentro de las columnas */
.row h5 a {
  color: #f5d5ed; /* Color del texto normal */
  transition: color 0.3s; /* Agrega una transición suave al cambio de color */
}

/* Estilo para el hover en los enlaces */
.row h5 a:hover {
  color: #f5d5ed; /* Nuevo color al pasar el ratón */
}
/* Estilos de los íconos de redes sociales */
.social-icon {
  color: #fff;
  font-size: 24px;
  margin: 0px 20px;
  text-decoration: none;
}

/* Cambia el color al pasar el ratón sobre los íconos */
.social-icon:hover {
  color: #92d243; /* Color verde al pasar el ratón */
}

/*------------------------------------------------Fin Footer-------------------------------------------------------------------*/
/*------------------------------------------------HOME-------------------------------------------------------------------*/

/* Estilos de la presentación */

/* Estilos para la línea debajo del título "Portafolio" */

.portafolio h2::after {
  content: "";
  display: block;
  width: 175px; /* Ancho de la línea, ajusta según sea necesario */
  height: 2px; /* Grosor de la línea, ajusta según sea necesario */
  background-color: #92d243; /* Color de la línea */
  margin: 8px auto 20px; /* Espaciado alrededor de la línea */
}
/*Galeria*/
/* Estilo para las miniaturas */
.galeria-container {
  width: 100%;
  display: flex;
  justify-content: center;
  padding-bottom: 20px;
}
.row.galeria {
  width: 80%;
}

.img-thumbnail {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
  margin: 0 auto;
}

/* Estilos para el modal */
#lightboxModal {
  display: none;
  background-color: rgba(0, 0, 0, 0.7);
}

#lightboxImage {
  max-width: 100%;
  max-height: 80vh;
  margin: auto;
}

.reseñas h2::after {
  content: "";
  display: block;
  width: 260px; /* Ancho de la línea, ajusta según sea necesario */
  height: 2px; /* Grosor de la línea, ajusta según sea necesario */
  background-color: #92d243; /* Color de la línea */
  margin: 8px auto 20px; /* Espaciado alrededor de la línea */
}

/* Estilos de las tarjetas */
.card-container {
  display: flex;
  justify-content: space-around;
  flex-wrap: wrap;
  margin: 30px auto;
}

.card {
  width: 300px;
  margin: 10px;
  padding: 10px;
  border-radius: 10px;
}

.card img {
  width: 100%;
  border-radius: 50%;
}

.card h3 {
  font-size: 1.2em;
}

.rating {
  display: flex;
  justify-content: center;
  margin: 10px 0;
}

.filled-star,
.empty-star {
  width: 20px;
  height: 20px;
  background-image: url("star.png"); /* Reemplaza 'star.png' con tu icono de estrella */
  background-size: cover;
  display: inline-block;
}

/*Estrellas*/
.rating {
  display: inline-block;
  font-size: 24px;
  color: #ffd700; /* Color de las estrellas */
}

/*------------------------------------------------Fin HOME-------------------------------------------------------------------*/

/* HEADER */

/* VISTA REGISTRAR */
.container-create-user .s-1 .form .form-group {
  margin-bottom: 0;
  margin-top: 20px;
}

.container-create-user {
  background: url(../images/bg-register.jpeg);
  background-size: cover;
  position: relative;
}

.container-create-user .s-1 .form {
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
}

.container-create-user .s-1 .form .input-group {
  align-items: center;
}
.container-create-user .s-1 .form .icon-input {
  position: absolute;
  z-index: 1;
  padding: 1.5rem;
  right: 0;
}

.container-create-user .form-register {
  z-index: 1;
  padding: 2rem 3rem;
  border-radius: 2rem;
}

.btn-clean {
  padding: 0.5rem 1.5rem;
  background-color: blanchedalmond;
}

/* GLOBALES */
table {
  color: var(--whitev2) !important;
}

.btn.btn-clean {
  box-shadow: unset !important;
  border-color: unset !important;
  border: none !important;
}
body {
  background-color: var(--bg-color) !important;
  font-family: "Roboto Flex", sans-serif !important;
  color: var(--whitev2) !important;
}

.help-block {
  color: var(--text-danger);
}

h1,
h2,
h3,
h4,
h5,
h6,
.navbar-brand {
  font-family: "Permanent Marker", cursive;
  font-weight: 400;
  font-style: normal;
  color: var(--green);
}

main .container {
  /*min-height: 92vh;*/
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100% !important;
}

p {
  padding: 0 !important;
  margin: 0 !important;
  color: var(--whitev2);
  font-family: "Roboto Flex", sans-serif;
}

footer span {
  font-family: "Roboto Flex", sans-serif;
}
.btn-clean {
  background-color: var(--green) !important;
  color: white !important;
  font-family: "Roboto Flex", sans-serif;
  transition: var(--transition);
}

.btn-clean:hover {
  background-color: #66a52d !important;
}

/* HOME */
body {
  /* overflow-x: hidden;*/
  padding-top: 5.4rem !important;
}
/* HEADER */

header {
  z-index: 9999 !important;
  height: 5.4rem;
  position: fixed;
  width: 100%;
  top: 0;
}

header nav .container {
  max-width: unset;
}

.navbar-brand {
  font-size: 1.8rem !important;
  color: var(--green);
}

.navbar-brand:hover {
  color: var(--green) !important;
}

header nav {
  padding-top: 0 !important;
  padding-bottom: 0 !important;
  border-bottom: 1px solid #8080806b;
  background: rgba(0, 0, 0, 0.8);
}

header nav #w1 {
  padding-top: 0.4rem;
}

header .navbar-nav .nav-link {
  color: var(--whitev2) !important;
  font-family: "Roboto Flex", sans-serif;
  font-weight: 500;
  position: relative;
  display: inline-block;
  padding-left: 0 !important;
  padding-right: 0 !important;
  transition: var(--transition) !important;
}

header .navbar-nav .nav-link::after {
  content: "";
  position: absolute;
  width: 0;
  height: 2px;
  bottom: 5px;
  left: 0;
  background-color: var(--whitev2);
  visibility: hidden;
  transition: all 0.3s ease-in-out;
}

header .navbar-nav .nav-link:hover::after {
  visibility: visible;
  width: 100%;
}

header .navbar-nav.nav {
  gap: 1rem;
  padding-right: 0.5rem;
  padding-top: 0.5rem;
}

.video-container {
  position: relative;
  /*position: absolute;*/
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  overflow: hidden;
}

.video-container::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 1;
}

.videoBG {
  position: relative;
  z-index: 0;
  width: 100%;
  height: auto;
  min-width: 100%;
  min-height: 100%;
}

.video-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 135, 255, 0.5);
  mix-blend-mode: multiply;
  z-index: 1;
}

main > .container {
  max-width: unset;
  padding: 0;
  height: 100%;
}

.video-container {
  width: 100%;
}

.videoBG {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.presentation {
  position: absolute;
  top: 50%;
  z-index: 2;
  max-width: 900px;
  background-color: rgba(0, 0, 0, 0.7);
  transform: translate(-50%, -35%);
  border-radius: var(--border-radius);
  padding: 1rem 2rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  left: 50%;
}

/* HOME - PORTFOLIO */
.row.galeria a {
  border: none;
}
.img-thumbnail {
  padding: 0 !important;
  box-shadow: 2px 2px 5px var(--green);
  transition: var(--transition);
}

.img-thumbnail:hover {
  transform: scale(1.1);
}

/* HOME - RESEÑAS */
.fondo-seccion {
  background-color: var(--bg-color2);
  min-height: 100vh;
  padding: 1rem 0;
  padding-bottom: 2rem;
}

.card-container .card {
  background-color: unset !important;
  align-items: center;
  margin-bottom: 15rem;
  border: none;
  transition: var(--transition);
}

.card-container .card:hover {
  transform: var(--scale-hover);
}

.card-container .card .card-body {
  display: flex;
  flex-direction: column;
  align-items: center;
  background: grey;
  top: 50%;
  position: absolute;
  padding-top: 8rem;
  border-radius: 10px;
  background-color: var(--bg-card);
}

.card-container .card .card-body p {
  text-align: center;
}

.card-container .card .card-body {
  margin-bottom: 0;
  height: 350px;
  max-height: 350px;
}

.card-body .rating {
  display: flex;
  justify-content: center;
  width: 100%;
  align-items: center;
  gap: 0.5rem;
  font-size: 1.4rem;
  margin-top: 0;
}

.card-container .card .card-img-top {
  max-width: 200px;
  z-index: 1;
}

/* FOOTER */
.footer {
  padding-block: 3.5rem;
  color: var(--whitev2);
}

.footer .social {
  display: flex;
  height: 100%;
  align-items: center;
  gap: 2rem;
  justify-content: center;
  transition: var(--transition);
}

.footer .social .icon-social {
  color: var(--whitev2) !important;
  border: 1px solid white;
  padding: 0.5rem;
  border-radius: 50%;
  width: 35px;
  display: flex;
  align-items: center;
  justify-content: center;
  text-decoration: none;
  transition: var(--transition);
}

.footer .social .icon-social:hover {
  color: var(--green) !important;
  border: 1px solid var(--green);
}

/* VISTA REGISTAR */
.container-create-user .form-register {
  background-color: #2a2b38;
  background-image: url("https://s3-us-west-2.amazonaws.com/s.cdpn.io/1462889/pat.svg") !important;
  background-position: bottom center;
  background-repeat: no-repeat;
  background-size: 300%;
  border-radius: var(--border-radius);
  -webkit-transform-style: preserve-3d;
  transform-style: preserve-3d;
  -webkit-backface-visibility: hidden;
  -moz-backface-visibility: hidden;
  -o-backface-visibility: hidden;
  backface-visibility: hidden;
  max-width: 600px;
  margin: 2rem auto;
}

.form-register .form-style {
  height: 48px !important;
}

.form-group input:-ms-input-placeholder {
  color: #c4c3ca;
  opacity: 0.7;
  -webkit-transition: all 200ms linear;
  transition: all 200ms linear;
}
.form-group input::-moz-placeholder {
  color: #c4c3ca;
  opacity: 0.7;
  -webkit-transition: all 200ms linear;
  transition: all 200ms linear;
}
.form-group input:-moz-placeholder {
  color: #c4c3ca;
  opacity: 0.7;
  -webkit-transition: all 200ms linear;
  transition: all 200ms linear;
}
.form-group input::-webkit-input-placeholder {
  color: #c4c3ca;
  opacity: 0.7;
  -webkit-transition: all 200ms linear;
  transition: all 200ms linear;
}
.form-group input:focus:-ms-input-placeholder {
  opacity: 0;
  -webkit-transition: all 200ms linear;
  transition: all 200ms linear;
}
.form-group input:focus::-moz-placeholder {
  opacity: 0;
  -webkit-transition: all 200ms linear;
  transition: all 200ms linear;
}
.form-group input:focus:-moz-placeholder {
  opacity: 0;
  -webkit-transition: all 200ms linear;
  transition: all 200ms linear;
}
.form-group input:focus::-webkit-input-placeholder {
  opacity: 0;
  -webkit-transition: all 200ms linear;
  transition: all 200ms linear;
}
.form-control:focus {
  box-shadow: unset !important;
}

.form-style {
  padding: 13px 20px;
  padding-left: 55px;
  height: 48px;
  width: 100%;
  font-weight: 500;
  border-radius: 4px;
  font-size: 14px;
  line-height: 22px;
  letter-spacing: 0.5px;
  outline: none !important;
  color: #c4c3ca;
  background-color: #1f2029 !important;
  border: none !important;
  -webkit-transition: all 200ms linear !important;
  transition: all 200ms linear !important;
  box-shadow: 0 4px 8px 0 rgba(21, 21, 21, 0.2);
}

/* VISTA LOGIN */
.row-login {
  width: 100%;
  justify-content: center;
  margin: 2rem auto;
}

.site-login {
  background: url(../images/login.jpeg);
  background-size: cover;
  position: relative;
}

.overlay {
  background: rgba(0, 0, 0, 0.5);
  position: absolute;
  top: 0;
  width: 100%;
  height: 100%;
}

#login-form .form-group label {
  display: none !important;
}

.invalid-feedback {
  font-size: initial !important;
}

.login-s2 {
  background-image: url(https://s3-us-west-2.amazonaws.com/s.cdpn.io/1462889/pat.svg) !important;
  min-height: 500px;
  min-width: 500px;
  padding: 32px 48px;
  background-color: var(--bg-form);
  border-radius: var(--border-radius);
}

.site-login .form-style {
  padding-left: 20px;
  height: 48px !important;
}

.reset-password {
  text-align: center;
  display: block;
  color: var(--whitev2);
  transition: var(--transition);
}

.reset-password:hover {
  color: var(--green);
  opacity: 1;
}

/* CONTACTO */
.site-contact {
  background: url(../images/bg-contact.jpeg);
  background-size: cover;
  position: relative;
}

#contact-form {
  background-color: #2a2b38;
  background-image: url("https://s3-us-west-2.amazonaws.com/s.cdpn.io/1462889/pat.svg") !important;
  background-position: bottom center;
  background-repeat: no-repeat;
  background-size: 300%;
  border-radius: var(--border-radius);
  padding: 32px 48px;
  max-width: 600px;
  margin: 2rem 0;
}

.site-contact .invalid-feedback {
  text-align: left;
}

.site-contact #contact-form label {
  display: none;
}

.site-contact #contact-form input {
  padding: 13px 20px !important;
}

.site-contact .field-contactform-email,
.field-contactform-subject,
.field-contactform-body {
  margin-bottom: 1rem;
}

#contactform-body {
  height: initial;
}

.field-contactform-body textarea {
  padding: 13px 20px !important;
}

.btn-contact {
  width: 100%;
  background-color: var(--green) !important;
  border-color: none !important;
  box-shadow: unset !important;
}

/* SITE ABOUT */
.site-about .row {
  max-width: 1250px;
  margin: 0 auto;
}

.site-about .row p {
  max-width: 450px;
}

.site-about .row img {
  border-radius: var(--border-radius);
}

/* RESET PASSWORD */
.reset-password {
  background-color: #2a2b38;
  background-image: url("https://s3-us-west-2.amazonaws.com/s.cdpn.io/1462889/pat.svg") !important;
  background-position: bottom center;
  background-repeat: no-repeat;
  background-size: 300%;
  border-radius: var(--border-radius);
  padding: 32px 48px;
  max-width: 500px;
}

#request-password-reset-form label {
  display: none;
}

.btn-reset-pass {
  background-color: var(--green) !important;
  color: white !important;
}

.container-reset {
  background: url(../images/reset.jpeg);
  height: 100%;
  width: 100%;
  background-size: cover;
}

.form-reset-i {
  padding-left: 20px;
}

/* TORNEOS */
.container-torneos {
  max-width: 1250px;
}

.container-torneos .row {
  margin-left: 0 !important;
  margin-right: 0 !important;
}
.row-one-torneos {
  display: flex;
  justify-content: center;
  margin-top: 2rem;
}

.col-circle {
  max-height: 400px;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.row-two-torneos {
  margin-top: 12rem !important;
}

.container-torneos .col-two-torneos {
  display: flex;
  flex-direction: column;
  align-items: center;
}

/* PARTICIPAN INDEX */

.participan-index {
  width: 100%;
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  margin-top: 3rem;
}


/* RESET - PASSWORD -INDEX */
#w4-success-0 {
  position: absolute;
  top: 0;
  border: unset !important;
  background-color: unset !important;
  padding-top: 5.5rem;
  z-index: 1;
}

#w4-success-0 .alert.alert-success.res-send{
  background-color: var(--green) !important;
  color: var(--whitev2);
  border: unset !important;
}


/* CONFIRMAR - PASSWORD - INDEX */
#w5-success-0 {
  position: absolute !important;
  top: 0 !important;
  background: unset;
  border: none;
  padding-top: 5.8rem;
}

/* FIX CARD */
.eventos-index .card {
  width: initial;
  min-width: 300px;
}